:
# this file gets sourced after os.sh but before all others
# so can be used to override things set by os.sh

# RCSid:
#	$Id: site.sh,v 1.12 2001/08/30 09:55:56 sjg Exp $
#
#	@(#) Copyright (c) 1994 Simon J. Gerraty
#
#	This file is provided in the hope that it will
#	be of use.  There is absolutely NO WARRANTY.
#	Permission to copy, redistribute or otherwise
#	use this file is hereby granted provided that 
#	the above copyright notice and this notice are
#	left intact. 
#      
#	Please send copies of changes and bug-fixes to:
#	sjg@crufty.net
#

if test -s /etc/add_path.sh; then
        . /etc/add_path.sh
        # make sure . is not in PATH
        del_path .
        del_path
else
        add_path () { case "$1" in -*) t=$1; shift;; *) t=-d;; esac; [ $t $1 ] && eval ${2:-PATH}="\$${2:-PATH}:$1"; }
        pre_path () { case "$1" in -*) t=$1; shift;; *) t=-d;; esac; [ $t $1 ] && eval ${2:-PATH}="$1:\$${2:-PATH}"; }
        del_path () { eval ${2:-PATH}=`eval echo :'$'${2:-PATH}: | 
        	sed -e "s;:$1:;:;g" -e "s;^:;;" -e "s;:\$;;"`; }
fi

add_path /usr/ucb
add_path /sbin
add_path /usr/sbin
add_path /usr/local/share/bin
add_path /usr/local/bin
add_path /usr/local/sbin
add_path /opt/gnu/bin
add_path /opt/bin
add_path /opt/sbin
add_path /usr/pkg/bin
add_path /usr/pkg/sbin

export PATH
